var THEMEMAKERS_USER_AUTH = function() {
    return {
        init: function() {
            jQuery("#logout").live('click', function() {
                var data = {
                    action: "logout"
                };
                //send data to server
                jQuery.post(ajaxurl, data, function(response) {
                    window.location.reload();
                });

                return false;
            });

            jQuery(".js_login_button").live('click', function() {
                var user_login = jQuery("#user_login").val();
                var user_pass = jQuery("#user_pass").val();


                if (user_login == "" || user_pass == "") {
                    jQuery(".error-login").show(333);
                    return false;
                }


                var data = {
                    action: "login",
                    user_login: user_login,
                    user_pass: user_pass
                };
                //send data to server
                jQuery.post(ajaxurl, data, function(response) {
                    if (parseInt(response, 10) == 1) {
                        window.location.reload();
                    } else {
                        jQuery(".error-login").show(333);
                    }
                });

                return false;
            });


            jQuery(".js_register_button").live('click', function() {
                var login_name = jQuery("#login_name").val();
                var login_email = jQuery("#login_email").val();

                if (login_name == "" || login_email == "") {
                    return false;
                }

                var data = {
                    action: "register",
                    login_name: login_name,
                    user_email: login_email
                };
                //send data to server
                jQuery.post(ajaxurl, data, function(response) {
                    jQuery(".register-info").html(response);
                    jQuery(".register-info").show(333);
					jQuery("#login_name").parent().fadeOut("slow");
					jQuery("#login_email").parent().fadeOut("slow");
					jQuery(".js_register_button").parent().fadeOut("slow");
					
					
                });

                return false;
            });




        },
    }
}

var user_auth = new THEMEMAKERS_USER_AUTH();
user_auth.init();
